/**
 * 初始化人才认定申报详情对话框
 */
var TalentAllowanceInfoDlg = {
    talentAllowanceData : {}
};

/**
 * 关闭此对话框
 */
TalentAllowanceInfoDlg.close = function() {
    parent.layer.close(window.parent.TalentAllowanceInfo.layerIndex);
}

/**
 * 初始化工作单位及核查项目情况表
 */
TalentAllowanceInfoDlg.initContract = function(){
    $("#projectTable").bootstrapTable({
        url: Feng.ctxPath + "/talentAllowanceInfo/findAllowanceContractDetail",
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false,				// 是否显示刷新按钮
        clickToSelect: true,			// 是否启用点击选中行
        singleSelect: true,				// 设置True 将禁止多选
        striped: true,  				// 是否显示行间隔色
        escape: true,
        pagination: false,   			// 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
        showColumns: false,
        detailView: true,//父子表
        queryParams: function (params) {
            return $.extend({"mainId":$("#id").val()},params)
        },
        columns: TalentAllowanceInfoDlg.initContractColumns(),
        onPostBody: function () {
            $("td.uitd_showTip").bind("mouseover", function () {
                var htm = $(this).html();
                $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
            });
        },
        onLoadSuccess: function (data) {
            $("#projectTable").bootstrapTable('expandAllRows');
        },
        onExpandRow: function (index, row, $detail) {
            var enterpriseId = row.enterpriseId;
            var cur_table = $detail.html('<table id="'+enterpriseId+'"></table>').find('table');
            $(cur_table).bootstrapTable({
                url: Feng.ctxPath + "/talentAllowanceInfo/findAllowanceProject",
                method: 'POST',
                contentType: "application/x-www-form-urlencoded; charset=UTF-8",
                search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
                showRefresh: false,				// 是否显示刷新按钮
                clickToSelect: true,			// 是否启用点击选中行
                singleSelect: true,				// 设置True 将禁止多选
                striped: true,  				// 是否显示行间隔色
                escape: true,
                pagination: false,   			// 设置为 true 会在表格底部显示分页条
                paginationHAlign: "left",
                paginationDetailHAlign: "right",
                sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
                showColumns: false,
                queryParams: function (params) {
                    var companyCode = "";
                    if($("#process").val()==1){
                        companyCode = $("#companyCode").val();
                    }
                    return $.extend({"mainId":$("#id").val(),"baseId":row.id,"companyCode":companyCode},params)
                },
                columns: TalentAllowanceInfoDlg.initProjectColumns(),
            });
        }
    });
    TalentAllowanceInfoDlg.initArrange();
}

TalentAllowanceInfoDlg.initArrange = function(){
    $("#arrangeTable").bootstrapTable({
        url: Feng.ctxPath + "/talentAllowanceInfo/findAllowanceArrange",
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false,				// 是否显示刷新按钮
        clickToSelect: true,			// 是否启用点击选中行
        singleSelect: true,				// 设置True 将禁止多选
        striped: true,  				// 是否显示行间隔色
        escape: true,
        pagination: false,   			// 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
        showColumns: false,
        pageList: [10, 30, 50],
        queryParams: function (params) {
            return $.extend({"mainId":$("#id").val()},params)
        },
        columns:
            [
                {field: 'selectItem', checkbox:false,visible:false},
                {title: '人才层次', field: 'talentArrangeName', visible: true, align: 'center', valign: 'middle',width:"100px"},
                {title: '认定条件', field: 'identifyConditionText', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
                {title: '开始时间', field: 'startTime', visible: true, align: 'center', valign: 'middle',width:"100px"},
                {title: '结束时间', field: 'endTime', visible: true, align: 'center', valign: 'middle',width:"100px"},
                {title: '忽略其他条件可享受月份', field: 'prepareMonths', visible: true, align: 'center', valign: 'middle',width:"150px",'class': 'uitd_showTip'},
                {title: '综合可享受月份', field: 'months', visible: true, align: 'center', valign: 'middle',width:"150px",'class': 'uitd_showTip'},
                {title: '备注', field: 'description', visible: true, align: 'center', valign: 'middle',width:"150px",'class': 'uitd_showTip'},

            ],
        onPostBody: function () {
            $("td.uitd_showTip").bind("mouseover", function () {
                var htm = $(this).html();
                $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
            });
        }
    });
}


TalentAllowanceInfoDlg.initContractColumns = function(){
    var type = $("#type").val();
    var process = $("#process").val();
    if(type==1){
        return [
            {field: 'selectItem', checkbox:false,visible:false},
            {title: '企业名称', field: 'enterpriseName', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
            {title: '合同起始时间', field: 'startTime', visible: true, align: 'center', valign: 'middle',width:"90px",'class': 'uitd_showTip'},
            {title: '合同截止时间', field: 'endTime', visible: true, align: 'center', valign: 'middle',width:"90px",'class': 'uitd_showTip'},
            {title: '入职时间', field: 'entryTime', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
            {title: '离职时间', field: 'quitTime', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
            {title: '人才标签', field: 'talentTypeName', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
            {title: '首次来晋行政介绍信时间', field: 'letterTime', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
            {title:'认定条件证书取得时间',field:'identifyGetTime', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
            {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle',width:"150px",
                formatter : function(value,row,index){
                    return "<button type='button' onclick='TalentAllowanceInfoDlg.showLog(\""+value+"\")' style='margin-right: 10px' class='btn btn-xs btn-success'>" +
                        "<i class=\"fa fa-book\"></i>日志" +
                        "</button>";
                }
            }
        ];
    }
    if(type==2){
        return [
            {field: 'selectItem', checkbox:false,visible:false},
            {title: '企业名称', field: 'enterpriseName', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
            {title: '合同起始时间', field: 'startTime', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
            {title: '合同截止时间', field: 'endTime', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
            {title: '入职时间', field: 'entryTime', visible: true, align: 'center', valign: 'middle',width:"80px"},
            {title: '离职时间', field: 'quitTime', visible: true, align: 'center', valign: 'middle',width:"80px"},
            {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle',width:"150px",
                formatter : function(value,row,index){
                    return "<button type='button' onclick='TalentAllowanceInfoDlg.showLog(\""+value+"\")' style='margin-right: 10px' class='btn btn-xs btn-success'>" +
                        "<i class=\"fa fa-book\"></i>日志" +
                        "</button>";
                }
            }
        ];
    }
}


//初始化项目表的列
TalentAllowanceInfoDlg.initProjectColumns = function () {
    return [
        {field: 'selectItem', checkbox:false,visible:false},
        {title: '核查项目名称', field: 'projectName', visible: true, align: 'center', valign: 'middle',width:"15%",'class': 'uitd_showTip'},
        {title: '详情', field: 'months', visible: true, align: 'center', valign: 'middle',width:"35%",
            formatter : function(value,row,index){
                if(value!=null && value!=''){
                    return value;
                }else if(row.days!=null && row.days!=''){
                    return row.days + "天";
                }else{
                    return "";
                }
            }
        },
        {title: '附件材料', field: 'fileUrl', visible: true, align: 'center', valign: 'middle',width:"35%",
            formatter : function(value,row,index){
                if(value!=null && value!=''){
                    var sn = value.lastIndexOf(".");
                    var suffix = value.substring(sn+1,value.length);
                    if(suffix=="pdf"||suffix=="PDF"){
                        return "<button type='button'  onclick=\"Feng.showPdf('"+value+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                    }else{
                        return '<img class=\"imgUrl\"  src=\"'+value+'\" style=\"width:25px;height:25px;\">';
                    }
                }else{
                    return "忽略";
                }
            }
        },
        {title: '备注', field: 'description', visible: true, align: 'center', valign: 'middle',width:"25%",'class': 'uitd_showTip'},
        {title: '操作', field: 'project', visible: true, align: 'center', valign: 'middle',width:"20%",
            formatter : function(value,row,index){
                return "<button type='button' onclick='TalentAllowanceInfoDlg.showLog(\""+row.id+"\")' style='margin-right: 10px' class='btn btn-xs btn-success'>" +
                    "<i class=\"fa fa-book\"></i>日志" +
                    "</button>";
            }
        }
    ];
}

TalentAllowanceInfoDlg.showLog = function(id){
    layer.open({
        type: 1,
        title:"日志",
        fixed:false,
        content: '<table id="'+id+'"></table>',
        area: ['80%', '80%'],
        maxmin: true,
        success :function (layero, index) {
            $('#'+id).bootstrapTable({
                url: Feng.ctxPath + "/api/talentChecklog/getJbtCheckLog",
                method: 'POST',
                contentType: "application/x-www-form-urlencoded; charset=UTF-8",
                search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
                showRefresh: false,				// 是否显示刷新按钮
                clickToSelect: true,			// 是否启用点击选中行
                singleSelect: true,				// 设置True 将禁止多选
                striped: true,  				// 是否显示行间隔色
                pagination: false,   			// 设置为 true 会在表格底部显示分页条
                paginationHAlign: "left",
                paginationDetailHAlign: "right",
                sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
                showColumns: false,
                queryParams: function (params) {
                    return {"type":CONFIG.project_jbt,"mainId":$("#id").val(),"typeFileId":id,"active":1}
                },
                columns:
                    [
                        {title: '步骤', field: 'stepName', visible: true, align: 'center', valign: 'middle',width:"10%",
                            formatter : function (value,row,index) {
                                return ""+value;
                            }
                        },
                        {title: '操作人', field: 'createUser', visible: true, align: 'center', valign: 'middle',width:"15%"},
                        {title: '操作时间', field: 'createTime', visible: true, align: 'center', valign: 'middle',width:"20%"},
                        {title: '描述', field: 'description', visible: true, align: 'center', valign: 'middle',width:"45%",
                            formatter : function (value,row,index) {
                                return '<span data-toggle="tooltip" title="'+ value +'">"'+value+'"</span>';
                            }
                        }
                    ]
                ,
                onPostBody: function () {
                    $('#'+id+"td.uitd_showTip").bind("mouseover", function () {
                        var htm = $(this).html();
                        $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
                    });
                }
            });
        }
    });
}


//初始化附件类别表单
TalentAllowanceInfoDlg.initFileTable = function (){
    TalentAllowanceInfoDlg.initContract();
    var queryData = {};
    queryData['project'] = CONFIG.project_jbt;
    queryData['type'] = $("#type").val();
    $("#fileTable").bootstrapTable({
        url: Feng.ctxPath + "/api/talentInfo/findUnCommonFileType",
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false,				// 是否显示刷新按钮
        clickToSelect: true,			// 是否启用点击选中行
        singleSelect: true,				// 设置True 将禁止多选
        striped: true,  				// 是否显示行间隔色
        escape: true,
        pagination: false,   			// 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
        showColumns: false,
        detailView: true,               //是否显示父子表
        pageList: [10, 30, 50],
        queryParams: function (params) {
            return $.extend(queryData,params)
        },
        rowStyle: function (row, index) {
            return {classes:"info"};
        },
        columns: [
            {field: 'selectItem', checkbox:false,visible:false},
            {title: '名称', field: 'name', visible: true, align: 'center', valign: 'middle',width:"80%",'class': 'uitd_showTip',
                formatter : function(value,row,index){
                    if(row.must==1){
                        return '<i class="fa fa-paste"></i><span style="font-weight:bold;color:red;font-size:14px;font-family:宋体"> * </span> '+ value;
                    }if(row.must==2){
                        return '<i class="fa fa-paste"></i>'+value;
                    }
                }
            },
            {title: '模板', field: 'templateUrl', visible: true, align: 'center', valign: 'middle',width:"20%",
                formatter : function(value,row,index){
                    if(value==null||value==''||value=='null'){
                        return '无';
                    }
                    return "<button type='button' onclick=\"Feng.downloadFile('"+row.id+"',3)\" style='margin-right: 10px' class=\"btn btn-xs btn-primary\">" +
                        "<i class=\"fa fa-download\"></i>下载" +
                        "</button>";
                }
            }
        ],
        onPostBody: function () {
            $("td.uitd_showTip").bind("mouseover", function () {
                var htm = $(this).html();
                $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
            });
        },
        onLoadSuccess: function (data) {
            $("#fileTable").bootstrapTable('expandAllRows');
        },
        onExpandRow: function (index, row, $detail) {
            var ajax = new $ax(Feng.ctxPath + "/api/talentInfo/listTalentFile", function (data) {
                if(data==null||data.length==0){
                    return;
                }
                var html = '<ul class="imgs"><li style="width: 80%;font-weight: bold;padding-top: 5px;">附件原名</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">预览</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">操作</li>';
                for(var key in data){
                    var sn = data[key].url.lastIndexOf(".");
                    var suffix = data[key].url.substring(sn+1,data[key].url.length);
                    var imgStr = "";
                    if(suffix=="pdf"||suffix=="PDF"){
                        imgStr = "<button type='button'  onclick=\"Feng.showPdf('"+data[key].url+"','"+data[key].id+"','"+data[key].orignName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                    }else if(suffix == "xlsx" || suffix=="XLSX" || suffix == 'xls' || suffix == 'XLS'){
                        imgStr = "<button type='button'  onclick=\"Feng.showExcel('"+data[key].url+"','"+data[key].id+"','"+data[key].orignName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
                    }else{
                        imgStr = '<img class=\"imgUrl\"  src=\"'+data[key].url+'\" style=\"width:25px;height:25px;\">';
                    }
                    html = html + '<li style="display: none">'+data[key].id+'</li>\n'+
                        '<li style="width: 80%;padding-top: 5px;">'+data[key].orignName+'</li>\n'+
                        '<li style="width: 10%;">'+imgStr+'</li>\n'+
                        "<li style='width: 10%;padding-top: 2px;'><button type='button' onclick=\"Feng.downloadFile('"+data[key].id+"',1)\" class=\"btn btn-xs btn-success\"><i class=\"fa fa-download\" aria-hidden=\"true\"></i>下载</button></li>";
                }
                html = html + '</ul>';
                $detail.html(html);
                $(".imgs").viewer({
                    // toolbar:false,
                    fullscreen:false
                });
            }, function (data) {
                Feng.error("查询失败!" + data.responseJSON.message + "!");
            });
            var queryData = {};
            queryData["mainId"] = $("#id").val();
            queryData["fileTypeId"] = row.id;
            ajax.set(queryData);
            ajax.start();
        }
    });
}

TalentAllowanceInfoDlg.showAllLog = function(){
    var id = $("#id").val();
    if(Feng.isNotEmptyStr(id)){
        Feng.getCheckLog("logTable",{"type":CONFIG.project_jbt,"mainId":$("#id").val(),"typeFileId":"","active":1})
    }
}


$(function(){
    if($("#type").val()==2){
        $("#bankNumberSpan,#talentTypeSpan,#introductionModeSpan,#firstInJJTimeSpan").attr("style","display:none");
    }
    $("select").each(function () {
        $(this).val($(this).attr("value"));
    });
    // TalentAllowanceInfoDlg.initFileTable();
    TalentAllowanceInfoDlg.initContract();
    //批量加载时间控件
    $(".date").each(function(){
        laydate.render({elem: "#"+$(this).attr("id"),type: 'date',trigger: 'click'});
    });
    TalentAllowanceInfoDlg.showAllLog();
    $("select").each(function () {+
        $(this).val($(this).attr("value"));
    });
});
